FROM debian:stable
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -qq -y update
RUN apt-get -qq -y install apt-utils
RUN apt-get -qq -y dist-upgrade
RUN apt-get -qq -y install build-essential libssl-dev zlib1g-dev cpanminus git liblwp-protocol-https-perl curl jq
RUN cpanm -q Carton GitLab::API::v4
WORKDIR /opt
RUN git clone https://framagit.org/fiat-tux/hat-softwares/mastodon/pouet-it-from-ci
WORKDIR /opt/pouet-it-from-ci
RUN carton install --deployment
RUN sed -r -e '/has scopes/ {n ; s/ro/rw/}' -i local/lib/perl5/Mastodon/Client.pm
